Subject: Re: most annoying thing in git-push

From: Jakub Narebski <[email-masked]>
Date: Tue, 23 Jun 2009 01:12:56 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:
> "Alexey I. Froloff" <[email-masked]> writes:
> 
> > Is is possible to add such functionality to git-push, so it will
> > push tags that point at objects that were uploaded to the remote
> > repository?
[...]

> It however is entirely a different matter if it is a sensible thing to do.
> 
> Often, a fetch is made from a public distribution point, which by
> definition has only branches and tags that are meant for public
> consumption.  It makes sense to auto-follow tags by default.
> 
> On the other hand, a push is almost always made from a private working
> repository to a public distribution point, in order to update the latter
> with only refs and objects meant for public consumption.  A developer
> working in such a private working repository will use tags that are not
> meant for public consumption while developing, and pushing all tags that
> are reachable from the commits that are being pushed out to the public
> distribution point is not necessarily desirable, as it will push out many
> tags that are only private to the working repository.
> 
> It certainly is not a sensible default behaviour, even though it might be
> handy as an option for special cases.

Perhaps if "autofollowing" of tags was enabled only for 
annotated/signed tags?

-- 
Jakub Narebski
ShadeHawk on #git